

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.25.6. grn_command_version &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.25.7. grn_content_type" href="grn_content_type.html" />
    <link rel="prev" title="7.25.5. grn_column" href="grn_column.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/api/grn_command_version.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="grn_content_type.html" title="7.25.7. grn_content_type"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="grn_column.html" title="7.25.5. grn_column"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" accesskey="U"><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.6. </span><code class="docutils literal notranslate"><span class="pre">grn_command_version</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="grn-command-version">
<h1><span class="section-number">7.25.6. </span><code class="docutils literal notranslate"><span class="pre">grn_command_version</span></code><a class="headerlink" href="#grn-command-version" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.25.6.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>TODO...</p>
</div>
<div class="section" id="example">
<h2><span class="section-number">7.25.6.2. </span>例<a class="headerlink" href="#example" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>TODO...</p>
</div>
<div class="section" id="reference">
<h2><span class="section-number">7.25.6.3. </span>リファレンス<a class="headerlink" href="#reference" title="このヘッドラインへのパーマリンク">¶</a></h2>
<dl class="c type">
<dt id="c.grn_command_version">
<em class="property">type </em><code class="sig-name descname">grn_command_version</code><a class="headerlink" href="#c.grn_command_version" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd></dd></dl>

<dl class="c macro">
<dt id="c.GRN_COMMAND_VERSION_MIN">
<code class="sig-name descname">GRN_COMMAND_VERSION_MIN</code><a class="headerlink" href="#c.GRN_COMMAND_VERSION_MIN" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd></dd></dl>

<dl class="c macro">
<dt id="c.GRN_COMMAND_VERSION_STABLE">
<code class="sig-name descname">GRN_COMMAND_VERSION_STABLE</code><a class="headerlink" href="#c.GRN_COMMAND_VERSION_STABLE" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd></dd></dl>

<dl class="c macro">
<dt id="c.GRN_COMMAND_VERSION_MAX">
<code class="sig-name descname">GRN_COMMAND_VERSION_MAX</code><a class="headerlink" href="#c.GRN_COMMAND_VERSION_MAX" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd></dd></dl>

<dl class="c function">
<dt id="c.grn_get_default_command_version">
<a class="reference internal" href="#c.grn_command_version" title="grn_command_version">grn_command_version</a> <code class="sig-name descname">grn_get_default_command_version</code><span class="sig-paren">(</span>void<span class="sig-paren">)</span><a class="headerlink" href="#c.grn_get_default_command_version" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><p>デフォルトのcommand_versionを返します。</p>
</dd></dl>

<dl class="c function">
<dt id="c.grn_set_default_command_version">
grn_rc <code class="sig-name descname">grn_set_default_command_version</code><span class="sig-paren">(</span><a class="reference internal" href="#c.grn_command_version" title="grn_command_version">grn_command_version</a> <em>version</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_set_default_command_version" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><p>デフォルトのcommand_versionを変更します。</p>
<dl class="field-list simple">
<dt class="field-odd">パラメータ</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>version</strong> -- 変更後のデフォルトのcommand_versionを指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.25.6. <code class="docutils literal notranslate"><span class="pre">grn_command_version</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.25.6.1. 概要</a></li>
<li><a class="reference internal" href="#example">7.25.6.2. 例</a></li>
<li><a class="reference internal" href="#reference">7.25.6.3. リファレンス</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="grn_column.html"
                        title="前の章へ"><span class="section-number">7.25.5. </span><code class="docutils literal notranslate"><span class="pre">grn_column</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="grn_content_type.html"
                        title="次の章へ"><span class="section-number">7.25.7. </span><code class="docutils literal notranslate"><span class="pre">grn_content_type</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="grn_content_type.html" title="7.25.7. grn_content_type"
             >次へ</a> |</li>
        <li class="right" >
          <a href="grn_column.html" title="7.25.5. grn_column"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" ><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.6. </span><code class="docutils literal notranslate"><span class="pre">grn_command_version</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>